Index: uspace/app/bdsh/compl.c
===================================================================
--- uspace/app/bdsh/compl.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/bdsh/compl.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -28,5 +28,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <dirent.h>
 #include <errno.h>
Index: uspace/app/bdsh/input.c
===================================================================
--- uspace/app/bdsh/input.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/bdsh/input.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 #include <errno.h>
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <tinput.h>
 
Index: uspace/app/edit/edit.c
===================================================================
--- uspace/app/edit/edit.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/edit/edit.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -47,5 +47,5 @@
 #include <macros.h>
 #include <clipboard.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include "sheet.h"
Index: uspace/app/edit/sheet.h
===================================================================
--- uspace/app/edit/sheet.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/edit/sheet.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <adt/list.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /** Direction (in linear space) */
Index: uspace/app/init/init.c
===================================================================
--- uspace/app/init/init.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/init/init.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <stdarg.h>
 #include <vfs/vfs.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <fcntl.h>
Index: uspace/app/mkbd/main.c
===================================================================
--- uspace/app/mkbd/main.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/mkbd/main.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <getopt.h>
 #include <devman.h>
Index: uspace/app/mkexfat/exfat.h
===================================================================
--- uspace/app/mkexfat/exfat.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/mkexfat/exfat.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
 #include <sys/types.h>
 #include <stdint.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #define EXFAT_FILENAME_LEN	255
Index: uspace/app/mkexfat/mkexfat.c
===================================================================
--- uspace/app/mkexfat/mkexfat.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/mkexfat/mkexfat.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -46,5 +46,5 @@
 #include <sys/types.h>
 #include <sys/typefmt.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <str.h>
 #include <getopt.h>
Index: uspace/app/nettest2/nettest2.c
===================================================================
--- uspace/app/nettest2/nettest2.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/nettest2/nettest2.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -45,5 +45,5 @@
 #include <time.h>
 #include <arg_parse.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <net/in.h>
Index: uspace/app/nterm/conn.c
===================================================================
--- uspace/app/nterm/conn.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/nterm/conn.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -33,5 +33,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <fibril.h>
Index: uspace/app/nterm/nterm.c
===================================================================
--- uspace/app/nterm/nterm.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/nterm/nterm.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -33,5 +33,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <io/console.h>
Index: uspace/app/ping/ping.c
===================================================================
--- uspace/app/ping/ping.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/ping/ping.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
 
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <fibril_synch.h>
Index: uspace/app/stats/stats.c
===================================================================
--- uspace/app/stats/stats.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/stats/stats.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -44,5 +44,5 @@
 #include <malloc.h>
 #include <inttypes.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <str.h>
 #include <arg_parse.h>
Index: uspace/app/taskdump/taskdump.c
===================================================================
--- uspace/app/taskdump/taskdump.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/taskdump/taskdump.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -47,5 +47,5 @@
 #include <macros.h>
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <symtab.h>
Index: uspace/app/tester/float/softfloat1.c
===================================================================
--- uspace/app/tester/float/softfloat1.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/tester/float/softfloat1.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #include <comparison.h>
 #include <conversion.h>
-#include <bool.h>
+#include <stdbool.h>
 #include "../tester.h"
 
Index: uspace/app/tester/mm/common.h
===================================================================
--- uspace/app/tester/mm/common.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/tester/mm/common.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <adt/list.h>
 
Index: uspace/app/tester/tester.h
===================================================================
--- uspace/app/tester/tester.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/tester/tester.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <stacktrace.h>
 
Index: uspace/app/tetris/screen.c
===================================================================
--- uspace/app/tetris/screen.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/tetris/screen.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -61,5 +61,5 @@
 #include <vfs/vfs.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <io/console.h>
 #include <io/style.h>
Index: uspace/app/tetris/screen.h
===================================================================
--- uspace/app/tetris/screen.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/tetris/screen.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -58,5 +58,5 @@
 #include <io/console.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef struct {
Index: uspace/app/trace/trace.c
===================================================================
--- uspace/app/trace/trace.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/trace/trace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -43,5 +43,5 @@
 #include <mem.h>
 #include <str.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <loader/loader.h>
 #include <io/console.h>
Index: uspace/app/usbinfo/desctree.c
===================================================================
--- uspace/app/usbinfo/desctree.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/usbinfo/desctree.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <usb/usb.h>
Index: uspace/app/usbinfo/dump.c
===================================================================
--- uspace/app/usbinfo/dump.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/usbinfo/dump.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <usb/usb.h>
Index: uspace/app/usbinfo/list.c
===================================================================
--- uspace/app/usbinfo/list.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/usbinfo/list.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <getopt.h>
 #include <devman.h>
Index: uspace/app/usbinfo/main.c
===================================================================
--- uspace/app/usbinfo/main.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/usbinfo/main.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <getopt.h>
 #include <devman.h>
Index: uspace/app/vdemo/vdemo.c
===================================================================
--- uspace/app/vdemo/vdemo.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/vdemo/vdemo.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -33,5 +33,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <stdio.h>
 #include <malloc.h>
Index: uspace/app/vlaunch/vlaunch.c
===================================================================
--- uspace/app/vlaunch/vlaunch.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/vlaunch/vlaunch.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -33,5 +33,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <stdio.h>
Index: uspace/app/vterm/vterm.c
===================================================================
--- uspace/app/vterm/vterm.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/vterm/vterm.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -33,5 +33,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <stdio.h>
 #include <io/pixel.h>
Index: uspace/app/websrv/websrv.c
===================================================================
--- uspace/app/websrv/websrv.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/app/websrv/websrv.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <assert.h>
Index: uspace/dist/src/c/demos/edit/edit.c
===================================================================
--- uspace/dist/src/c/demos/edit/edit.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/dist/src/c/demos/edit/edit.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -46,5 +46,5 @@
 #include <macros.h>
 #include <clipboard.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include "sheet.h"
Index: uspace/dist/src/c/demos/edit/sheet.h
===================================================================
--- uspace/dist/src/c/demos/edit/sheet.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/dist/src/c/demos/edit/sheet.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <adt/list.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /** Direction (in linear space) */
Index: uspace/dist/src/c/demos/tetris/screen.c
===================================================================
--- uspace/dist/src/c/demos/tetris/screen.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/dist/src/c/demos/tetris/screen.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -61,5 +61,5 @@
 #include <vfs/vfs.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <io/console.h>
 #include <io/style.h>
Index: uspace/dist/src/c/demos/tetris/screen.h
===================================================================
--- uspace/dist/src/c/demos/tetris/screen.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/dist/src/c/demos/tetris/screen.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -58,5 +58,5 @@
 #include <io/console.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef struct {
Index: uspace/drv/bus/isa/i8237.c
===================================================================
--- uspace/drv/bus/isa/i8237.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/bus/isa/i8237.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <fibril_synch.h>
Index: uspace/drv/bus/isa/isa.c
===================================================================
--- uspace/drv/bus/isa/isa.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/bus/isa/isa.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -42,5 +42,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <stdlib.h>
Index: uspace/drv/bus/pci/pciintel/pci.c
===================================================================
--- uspace/drv/bus/pci/pciintel/pci.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/bus/pci/pciintel/pci.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <str.h>
Index: uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.h
===================================================================
--- uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/bus/usb/ohci/hw_struct/transfer_descriptor.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 #define DRV_OHCI_HW_STRUCT_TRANSFER_DESCRIPTOR_H
 
-#include <bool.h>
+#include <stdbool.h>
 #include <stdint.h>
 
Index: uspace/drv/bus/usb/usbhid/generic/hiddev.c
===================================================================
--- uspace/drv/bus/usb/usbhid/generic/hiddev.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/bus/usb/usbhid/generic/hiddev.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -42,5 +42,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <usbhid_iface.h>
Index: uspace/drv/bus/usb/usbhid/usbhid.h
===================================================================
--- uspace/drv/bus/usb/usbhid/usbhid.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/bus/usb/usbhid/usbhid.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -44,5 +44,5 @@
 #include <usb/dev/driver.h>
 #include <usb/hid/hid.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef struct usb_hid_dev usb_hid_dev_t;
Index: uspace/drv/bus/usb/usbhub/port.c
===================================================================
--- uspace/drv/bus/usb/usbhub/port.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/bus/usb/usbhub/port.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <str_error.h>
Index: uspace/drv/bus/usb/usbhub/status.h
===================================================================
--- uspace/drv/bus/usb/usbhub/status.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/bus/usb/usbhub/status.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
 #define	HUB_STATUS_H
 
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 #include <usb/dev/request.h>
Index: uspace/drv/bus/usb/usbhub/usbhub.c
===================================================================
--- uspace/drv/bus/usb/usbhub/usbhub.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/bus/usb/usbhub/usbhub.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 
 #include <ddf/driver.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <str_error.h>
Index: uspace/drv/bus/usb/usbmast/bo_trans.c
===================================================================
--- uspace/drv/bus/usb/usbmast/bo_trans.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/bus/usb/usbmast/bo_trans.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
  * USB mass storage bulk-only transport.
  */
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <str_error.h>
Index: uspace/drv/char/ns8250/ns8250.c
===================================================================
--- uspace/drv/char/ns8250/ns8250.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/char/ns8250/ns8250.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <stdlib.h>
Index: uspace/drv/char/ps2mouse/ps2mouse.c
===================================================================
--- uspace/drv/char/ps2mouse/ps2mouse.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/char/ps2mouse/ps2mouse.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -33,5 +33,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <ddf/log.h>
Index: uspace/drv/infrastructure/root/root.c
===================================================================
--- uspace/drv/infrastructure/root/root.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/infrastructure/root/root.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <stdlib.h>
Index: uspace/drv/infrastructure/rootamdm37x/amdm37x.h
===================================================================
--- uspace/drv/infrastructure/rootamdm37x/amdm37x.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/infrastructure/rootamdm37x/amdm37x.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -48,5 +48,5 @@
 #include "prm/global_reg.h"
 
-#include <bool.h>
+#include <stdbool.h>
 
 typedef struct {
Index: uspace/drv/infrastructure/rootpc/rootpc.c
===================================================================
--- uspace/drv/infrastructure/rootpc/rootpc.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/drv/infrastructure/rootpc/rootpc.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <stdlib.h>
Index: uspace/lib/bithenge/src/helenos/common.h
===================================================================
--- uspace/lib/bithenge/src/helenos/common.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/bithenge/src/helenos/common.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -31,5 +31,5 @@
 
 #include <bithenge/os.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <byteorder.h>
 #include <errno.h>
Index: uspace/lib/c/arch/abs32le/include/atomic.h
===================================================================
--- uspace/lib/c/arch/abs32le/include/atomic.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/abs32le/include/atomic.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #define LIBC_abs32le_ATOMIC_H_
 
-#include <bool.h>
+#include <stdbool.h>
 
 #define LIBC_ARCH_ATOMIC_H_
Index: uspace/lib/c/arch/abs32le/src/entryjmp.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/entryjmp.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/abs32le/src/entryjmp.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -30,5 +30,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <entry_point.h>
 
Index: uspace/lib/c/arch/abs32le/src/fibril.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/fibril.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/abs32le/src/fibril.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -31,5 +31,5 @@
 
 #include <fibril.h>
-#include <bool.h>
+#include <stdbool.h>
 
 int context_save(context_t *ctx)
Index: uspace/lib/c/arch/abs32le/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/abs32le/src/stacktrace.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/abs32le/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -32,5 +32,5 @@
 #include <sys/types.h>
 #include <unistd.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <stacktrace.h>
 
Index: uspace/lib/c/arch/amd64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/amd64/src/stacktrace.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/amd64/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <stacktrace.h>
Index: uspace/lib/c/arch/arm32/include/atomic.h
===================================================================
--- uspace/lib/c/arch/arm32/include/atomic.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/arm32/include/atomic.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 
 #include <atomicdflt.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 
Index: uspace/lib/c/arch/arm32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/arm32/src/stacktrace.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/arm32/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <stacktrace.h>
Index: uspace/lib/c/arch/ia32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/ia32/src/stacktrace.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/ia32/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #include <libarch/config.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <stacktrace.h>
 
Index: uspace/lib/c/arch/ia64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/ia64/src/stacktrace.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/ia64/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 
Index: uspace/lib/c/arch/mips32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/mips32/src/stacktrace.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/mips32/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 
Index: uspace/lib/c/arch/mips64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/mips64/src/stacktrace.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/mips64/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 
Index: uspace/lib/c/arch/ppc32/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/ppc32/src/stacktrace.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/ppc32/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <stacktrace.h>
Index: uspace/lib/c/arch/sparc64/src/stacktrace.c
===================================================================
--- uspace/lib/c/arch/sparc64/src/stacktrace.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/arch/sparc64/src/stacktrace.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <libarch/stack.h>
 #include <errno.h>
Index: uspace/lib/c/generic/adt/list.c
===================================================================
--- uspace/lib/c/generic/adt/list.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/generic/adt/list.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 
 #include <adt/list.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /** Check for membership
Index: uspace/lib/c/generic/async.c
===================================================================
--- uspace/lib/c/generic/async.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/generic/async.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -109,5 +109,5 @@
 #include <sys/time.h>
 #include <libarch/barrier.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <malloc.h>
 #include <mem.h>
Index: uspace/lib/c/generic/devman.c
===================================================================
--- uspace/lib/c/generic/devman.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/generic/devman.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -45,5 +45,5 @@
 #include <errno.h>
 #include <malloc.h>
-#include <bool.h>
+#include <stdbool.h>
 
 static FIBRIL_MUTEX_INITIALIZE(devman_driver_block_mutex);
Index: uspace/lib/c/generic/double_to_str.c
===================================================================
--- uspace/lib/c/generic/double_to_str.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/generic/double_to_str.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
 #include <stdint.h>
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /*
Index: uspace/lib/c/generic/io/chargrid.c
===================================================================
--- uspace/lib/c/generic/io/chargrid.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/generic/io/chargrid.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #include <unistd.h>
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <as.h>
 #include <io/chargrid.h>
Index: uspace/lib/c/generic/io/io.c
===================================================================
--- uspace/lib/c/generic/io/io.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/generic/io/io.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <str.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <malloc.h>
 #include <async.h>
Index: uspace/lib/c/generic/loc.c
===================================================================
--- uspace/lib/c/generic/loc.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/generic/loc.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #include <errno.h>
 #include <malloc.h>
-#include <bool.h>
+#include <stdbool.h>
 
 static FIBRIL_MUTEX_INITIALIZE(loc_supp_block_mutex);
Index: uspace/lib/c/generic/malloc.c
===================================================================
--- uspace/lib/c/generic/malloc.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/generic/malloc.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 
 #include <malloc.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <as.h>
 #include <align.h>
Index: uspace/lib/c/generic/private/async.h
===================================================================
--- uspace/lib/c/generic/private/async.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/generic/private/async.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 #include <fibril_synch.h>
 #include <sys/time.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /** Structures of this type are used to track the timeout events. */
Index: uspace/lib/c/generic/sysinfo.c
===================================================================
--- uspace/lib/c/generic/sysinfo.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/generic/sysinfo.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <errno.h>
 #include <malloc.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <unistd.h>
 
Index: uspace/lib/c/generic/time.c
===================================================================
--- uspace/lib/c/generic/time.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/generic/time.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #include <sys/time.h>
 #include <time.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <libarch/barrier.h>
 #include <macros.h>
Index: uspace/lib/c/include/adt/hash_table.h
===================================================================
--- uspace/lib/c/include/adt/hash_table.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/adt/hash_table.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <adt/list.h>
 #include <unistd.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <macros.h>
 
Index: uspace/lib/c/include/async.h
===================================================================
--- uspace/lib/c/include/async.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/async.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -44,5 +44,5 @@
 #include <sys/time.h>
 #include <atomic.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <task.h>
 
Index: uspace/lib/c/include/atomicdflt.h
===================================================================
--- uspace/lib/c/include/atomicdflt.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/atomicdflt.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 
 #include <stdint.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef struct atomic {
Index: uspace/lib/c/include/bd_srv.h
===================================================================
--- uspace/lib/c/include/bd_srv.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/bd_srv.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <async.h>
 #include <fibril_synch.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 
Index: uspace/lib/c/include/bool.h
===================================================================
--- uspace/lib/c/include/bool.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ 	(revision )
@@ -1,47 +1,0 @@
-/*
- * Copyright (c) 2006 Martin Decky
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-/** @addtogroup libc
- * @{
- */
-/** @file
- */
-
-#ifndef LIBC_BOOL_H_
-#define LIBC_BOOL_H_
-
-#include <libarch/types.h>
-#include <abi/bool.h>
-
-#define false  0
-#define true   1
-
-#endif
-
-/** @}
- */
Index: uspace/lib/c/include/cfg.h
===================================================================
--- uspace/lib/c/include/cfg.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/cfg.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 #include <adt/list.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /**
Index: uspace/lib/c/include/ddi.h
===================================================================
--- uspace/lib/c/include/ddi.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/ddi.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #define LIBC_DDI_H_
 
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 #include <sys/time.h>
Index: uspace/lib/c/include/device/hw_res.h
===================================================================
--- uspace/lib/c/include/device/hw_res.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/device/hw_res.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <ipc/dev_iface.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #define DMA_MODE_ON_DEMAND  0
Index: uspace/lib/c/include/devman.h
===================================================================
--- uspace/lib/c/include/devman.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/devman.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <ipc/loc.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 
 extern async_exch_t *devman_exchange_begin_blocking(devman_interface_t);
Index: uspace/lib/c/include/fibril_synch.h
===================================================================
--- uspace/lib/c/include/fibril_synch.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/fibril_synch.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <libarch/tls.h>
 #include <sys/time.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef struct {
Index: uspace/lib/c/include/ieee_double.h
===================================================================
--- uspace/lib/c/include/ieee_double.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/ieee_double.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -31,5 +31,5 @@
 
 #include <stdint.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /** Represents a non-negative floating point number: significand * 2^exponent */
Index: uspace/lib/c/include/inet/iplink_srv.h
===================================================================
--- uspace/lib/c/include/inet/iplink_srv.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/inet/iplink_srv.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <async.h>
 #include <fibril_synch.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 
Index: uspace/lib/c/include/io/charfield.h
===================================================================
--- uspace/lib/c/include/io/charfield.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/io/charfield.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <io/color.h>
 #include <io/style.h>
Index: uspace/lib/c/include/io/con_srv.h
===================================================================
--- uspace/lib/c/include/io/con_srv.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/io/con_srv.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -44,5 +44,5 @@
 #include <io/pixel.h>
 #include <io/style.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/time.h>
 #include <sys/types.h>
Index: uspace/lib/c/include/io/console.h
===================================================================
--- uspace/lib/c/include/io/console.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/io/console.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 #include <io/keycode.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <stdio.h>
 
Index: uspace/lib/c/include/io/window.h
===================================================================
--- uspace/lib/c/include/io/window.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/io/window.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #define LIBC_IO_WINDOW_H_
 
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 #include <async.h>
Index: uspace/lib/c/include/ipc/vfs.h
===================================================================
--- uspace/lib/c/include/ipc/vfs.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/ipc/vfs.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <ipc/common.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #define FS_NAME_MAXLEN  20
Index: uspace/lib/c/include/loc.h
===================================================================
--- uspace/lib/c/include/loc.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/loc.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <ipc/loc.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef void (*loc_cat_change_cb_t)(void);
Index: uspace/lib/c/include/nic/nic.h
===================================================================
--- uspace/lib/c/include/nic/nic.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/nic/nic.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 
 #include <nic/eth_phys.h>
-#include <bool.h>
+#include <stdbool.h>
 
 /** Ethernet address length. */
Index: uspace/lib/c/include/rtld/dynamic.h
===================================================================
--- uspace/lib/c/include/rtld/dynamic.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/rtld/dynamic.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #define LIBC_RTLD_DYNAMIC_H_
 
-#include <bool.h>
+#include <stdbool.h>
 #include <rtld/elf_dyn.h>
 #include <libarch/rtld/dynamic.h>
Index: uspace/lib/c/include/sort.h
===================================================================
--- uspace/lib/c/include/sort.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/sort.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef int (* sort_cmp_t)(void *, void *, void *);
Index: uspace/lib/c/include/stacktrace.h
===================================================================
--- uspace/lib/c/include/stacktrace.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/stacktrace.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 typedef struct {
Index: uspace/lib/c/include/stats.h
===================================================================
--- uspace/lib/c/include/stats.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/stats.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <thread.h>
 #include <stdint.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 #include <abi/sysinfo.h>
Index: uspace/lib/c/include/stdbool.h
===================================================================
--- uspace/lib/c/include/stdbool.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
+++ uspace/lib/c/include/stdbool.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -0,0 +1,49 @@
+/*
+ * Copyright (c) 2006 Martin Decky
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+/** @addtogroup libc
+ * @{
+ */
+/** @file
+ */
+
+#ifndef LIBC_BOOL_H_
+#define LIBC_BOOL_H_
+
+#include <libarch/types.h>
+#include <abi/bool.h>
+
+#define false  0
+#define true   1
+
+#define __bool_true_false_are_defined 1
+
+#endif
+
+/** @}
+ */
Index: uspace/lib/c/include/str.h
===================================================================
--- uspace/lib/c/include/str.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/str.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <mem.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #define U_SPECIAL  '?'
Index: uspace/lib/c/include/sys/stat.h
===================================================================
--- uspace/lib/c/include/sys/stat.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/sys/stat.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <ipc/vfs.h>
 #include <ipc/loc.h>
Index: uspace/lib/c/include/sysinfo.h
===================================================================
--- uspace/lib/c/include/sysinfo.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/c/include/sysinfo.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <abi/sysinfo.h>
 
Index: uspace/lib/clui/tinput.c
===================================================================
--- uspace/lib/clui/tinput.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/clui/tinput.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <errno.h>
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <tinput.h>
 
Index: uspace/lib/draw/codec/tga.c
===================================================================
--- uspace/lib/draw/codec/tga.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/draw/codec/tga.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <byteorder.h>
 #include <align.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <pixconv.h>
 #include "tga.h"
Index: uspace/lib/draw/drawctx.h
===================================================================
--- uspace/lib/draw/drawctx.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/draw/drawctx.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <compose.h>
Index: uspace/lib/draw/path.c
===================================================================
--- uspace/lib/draw/path.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/draw/path.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <malloc.h>
 
Index: uspace/lib/draw/source.h
===================================================================
--- uspace/lib/draw/source.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/draw/source.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #include <transform.h>
Index: uspace/lib/draw/surface.h
===================================================================
--- uspace/lib/draw/surface.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/draw/surface.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <io/pixelmap.h>
 
Index: uspace/lib/drv/generic/driver.c
===================================================================
--- uspace/lib/drv/generic/driver.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/drv/generic/driver.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -45,5 +45,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <stdlib.h>
Index: uspace/lib/drv/include/usbhc_iface.h
===================================================================
--- uspace/lib/drv/include/usbhc_iface.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/drv/include/usbhc_iface.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -42,5 +42,5 @@
 #include "ddf/driver.h"
 #include <usb/usb.h>
-#include <bool.h>
+#include <stdbool.h>
 
 int usbhc_request_address(async_exch_t *, usb_address_t *, bool, usb_speed_t);
Index: uspace/lib/graph/graph.h
===================================================================
--- uspace/lib/graph/graph.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/graph/graph.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <loc.h>
 #include <async.h>
Index: uspace/lib/gui/minimal.h
===================================================================
--- uspace/lib/gui/minimal.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/gui/minimal.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #define GUI_MINIMAL_H_
 
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 #include <io/pixel.h>
Index: uspace/lib/gui/window.c
===================================================================
--- uspace/lib/gui/window.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/gui/window.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <stdio.h>
Index: uspace/lib/nic/src/nic_addr_db.c
===================================================================
--- uspace/lib/nic/src/nic_addr_db.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/nic/src/nic_addr_db.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <assert.h>
 #include <stdlib.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <mem.h>
Index: uspace/lib/nic/src/nic_rx_control.c
===================================================================
--- uspace/lib/nic/src/nic_rx_control.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/nic/src/nic_rx_control.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <assert.h>
 #include <stdlib.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <mem.h>
Index: uspace/lib/posix/include/posix/stdbool.h
===================================================================
--- uspace/lib/posix/include/posix/stdbool.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ 	(revision )
@@ -1,55 +1,0 @@
-/*
- * Copyright (c) 2011 Jiri Zarevucky
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-/** @addtogroup libposix
- * @{
- */
-/** @file Boolean type and values.
- */
-
-#ifndef POSIX_STDBOOL_H_
-#define POSIX_STDBOOL_H_
-
-#ifdef LIBC_BOOL_H_
-
-#if (!defined(POSIX_STDIO_H_)) && \
-    (!defined(POSIX_STDLIB_H_)) && \
-    (!defined(POSIX_STRING_H_))
-	#error "You can't include bool.h and stdbool.h at the same time."
-#endif
-
-#endif /* LIBC_BOOL_H */
-
-#define LIBC_BOOL_H_
-
-#define bool _Bool
-#define true 1
-#define false 0
-#define __bool_true_false_are_defined 1
-
-#endif /* POSIX_STDBOOL_H_ */
Index: uspace/lib/posix/source/fnmatch.c
===================================================================
--- uspace/lib/posix/source/fnmatch.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/posix/source/fnmatch.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -44,5 +44,5 @@
 #define LIBPOSIX_INTERNAL
 
-#include "posix/stdbool.h"
+#include "libc/stdbool.h"
 #include "posix/ctype.h"
 #include "posix/string.h"
Index: uspace/lib/posix/source/pwd.c
===================================================================
--- uspace/lib/posix/source/pwd.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/posix/source/pwd.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 #define LIBPOSIX_INTERNAL
 
-#include "posix/stdbool.h"
+#include "libc/stdbool.h"
 #include "posix/pwd.h"
 #include "posix/string.h"
Index: uspace/lib/posix/source/stdio.c
===================================================================
--- uspace/lib/posix/source/stdio.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/posix/source/stdio.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,7 +36,4 @@
 #define LIBPOSIX_INTERNAL
 
-/* Has to be first. */
-#include "posix/stdbool.h"
-
 #include "internal/common.h"
 #include "posix/stdio.h"
@@ -51,4 +48,5 @@
 #include "libc/stdio.h"
 #include "libc/io/printf_core.h"
+#include "libc/stdbool.h"
 #include "libc/str.h"
 #include "libc/malloc.h"
Index: uspace/lib/posix/source/stdio/scanf.c
===================================================================
--- uspace/lib/posix/source/stdio/scanf.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/posix/source/stdio/scanf.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,7 +35,4 @@
 #define LIBPOSIX_INTERNAL
 
-/* Must be first. */
-#include "posix/stdbool.h"
-
 #include "posix/assert.h"
 #include "posix/errno.h"
@@ -50,4 +47,5 @@
 #include "../internal/common.h"
 #include "libc/malloc.h"
+#include "libc/stdbool.h"
 
 /** Unified data type for possible data sources for scanf. */
Index: uspace/lib/posix/source/stdlib/strtold.c
===================================================================
--- uspace/lib/posix/source/stdlib/strtold.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/posix/source/stdlib/strtold.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,8 +35,6 @@
 #define LIBPOSIX_INTERNAL
 
-/* Must be first. */
-#include "posix/stdbool.h"
-
 #include "../internal/common.h"
+#include "libc/stdbool.h"
 #include "posix/stdlib.h"
 
Index: uspace/lib/posix/source/time.c
===================================================================
--- uspace/lib/posix/source/time.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/posix/source/time.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,7 +36,4 @@
 #define LIBPOSIX_INTERNAL
 
-/* Must be first. */
-#include "posix/stdbool.h"
-
 #include "internal/common.h"
 #include "posix/time.h"
@@ -50,4 +47,5 @@
 #include "libc/task.h"
 #include "libc/stats.h"
+#include "libc/stdbool.h"
 #include "libc/sys/time.h"
 
Index: uspace/lib/softrend/filter.h
===================================================================
--- uspace/lib/softrend/filter.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/softrend/filter.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #define SOFTREND_FILTER_H_
 
-#include <bool.h>
+#include <stdbool.h>
 #include <io/pixelmap.h>
 
Index: uspace/lib/softrend/pixconv.h
===================================================================
--- uspace/lib/softrend/pixconv.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/softrend/pixconv.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #define SOFTREND_PIXCONV_H_
 
-#include <bool.h>
+#include <stdbool.h>
 #include <io/pixel.h>
 
Index: uspace/lib/softrend/rectangle.h
===================================================================
--- uspace/lib/softrend/rectangle.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/softrend/rectangle.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 extern bool rectangle_intersect(
Index: uspace/lib/softrend/transform.h
===================================================================
--- uspace/lib/softrend/transform.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/softrend/transform.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #define SOFTREND_TRANSFORM_H_
 
-#include <bool.h>
+#include <stdbool.h>
 
 #ifndef PI
Index: uspace/lib/usb/include/usb/hc.h
===================================================================
--- uspace/lib/usb/include/usb/hc.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/usb/include/usb/hc.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <devman.h>
 #include <ddf/driver.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <usb/usb.h>
Index: uspace/lib/usb/include/usb/usb.h
===================================================================
--- uspace/lib/usb/include/usb/usb.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/usb/include/usb/usb.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 #define LIBUSB_USB_H_
 
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 #include <byteorder.h>
Index: uspace/lib/usbdev/src/dp.c
===================================================================
--- uspace/lib/usbdev/src/dp.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/usbdev/src/dp.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -45,5 +45,5 @@
 #include <errno.h>
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <usb/dev/dp.h>
 #include <usb/descriptor.h>
Index: uspace/lib/usbhost/include/usb/host/endpoint.h
===================================================================
--- uspace/lib/usbhost/include/usb/host/endpoint.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/usbhost/include/usb/host/endpoint.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #define LIBUSBHOST_HOST_ENDPOINT_H
 
-#include <bool.h>
+#include <stdbool.h>
 #include <adt/list.h>
 #include <fibril_synch.h>
Index: uspace/lib/usbhost/src/usb_endpoint_manager.c
===================================================================
--- uspace/lib/usbhost/src/usb_endpoint_manager.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/usbhost/src/usb_endpoint_manager.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -33,5 +33,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <assert.h>
 #include <errno.h>
Index: uspace/lib/usbvirt/include/usbvirt/ipc.h
===================================================================
--- uspace/lib/usbvirt/include/usbvirt/ipc.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/lib/usbvirt/include/usbvirt/ipc.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <ipc/common.h>
 #include <usb/usb.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <usbvirt/device.h>
 #include <async.h>
Index: uspace/srv/bd/ata_bd/ata_bd.c
===================================================================
--- uspace/srv/bd/ata_bd/ata_bd.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/bd/ata_bd/ata_bd.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -60,5 +60,5 @@
 #include <inttypes.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <byteorder.h>
 #include <task.h>
Index: uspace/srv/bd/file_bd/file_bd.c
===================================================================
--- uspace/srv/bd/file_bd/file_bd.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/bd/file_bd/file_bd.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -49,5 +49,5 @@
 #include <sys/typefmt.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <task.h>
 #include <macros.h>
Index: uspace/srv/bd/part/guid_part/guid_part.c
===================================================================
--- uspace/srv/bd/part/guid_part/guid_part.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/bd/part/guid_part/guid_part.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -58,5 +58,5 @@
 #include <loc.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <byteorder.h>
 #include <assert.h>
Index: uspace/srv/bd/part/mbr_part/mbr_part.c
===================================================================
--- uspace/srv/bd/part/mbr_part/mbr_part.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/bd/part/mbr_part/mbr_part.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -67,5 +67,5 @@
 #include <block.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <byteorder.h>
 #include <assert.h>
Index: uspace/srv/bd/rd/rd.c
===================================================================
--- uspace/srv/bd/rd/rd.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/bd/rd/rd.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -46,5 +46,5 @@
 #include <ddi.h>
 #include <align.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <async.h>
Index: uspace/srv/clipboard/clipboard.c
===================================================================
--- uspace/srv/clipboard/clipboard.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/clipboard/clipboard.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -28,5 +28,5 @@
 
 #include <stdio.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <async.h>
 #include <ns.h>
Index: uspace/srv/devman/devman.h
===================================================================
--- uspace/srv/devman/devman.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/devman/devman.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <dirent.h>
 #include <str.h>
Index: uspace/srv/devman/main.c
===================================================================
--- uspace/srv/devman/main.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/devman/main.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -44,5 +44,5 @@
 #include <errno.h>
 #include <str_error.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <stdlib.h>
Index: uspace/srv/fs/cdfs/cdfs_ops.c
===================================================================
--- uspace/srv/fs/cdfs/cdfs_ops.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/cdfs/cdfs_ops.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 
 #include "cdfs_ops.h"
-#include <bool.h>
+#include <stdbool.h>
 #include <adt/hash_table.h>
 #include <adt/hash.h>
Index: uspace/srv/fs/cdfs/cdfs_ops.h
===================================================================
--- uspace/srv/fs/cdfs/cdfs_ops.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/cdfs/cdfs_ops.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
 #define CDFS_CDFS_OPS_H_
 
-#include <bool.h>
+#include <stdbool.h>
 
 extern bool cdfs_init(void);
Index: uspace/srv/fs/exfat/exfat.h
===================================================================
--- uspace/srv/fs/exfat/exfat.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/exfat/exfat.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <atomic.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include "../../vfs/vfs.h"
 
Index: uspace/srv/fs/exfat/exfat_dentry.h
===================================================================
--- uspace/srv/fs/exfat/exfat_dentry.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/exfat/exfat_dentry.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 
 #include <stdint.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #define EXFAT_FILENAME_LEN	255
Index: uspace/srv/fs/fat/fat.h
===================================================================
--- uspace/srv/fs/fat/fat.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/fat/fat.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <atomic.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include "../../vfs/vfs.h"
 
Index: uspace/srv/fs/fat/fat_dentry.h
===================================================================
--- uspace/srv/fs/fat/fat_dentry.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/fat/fat_dentry.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <stdint.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #define IS_D_CHAR(ch) (isalnum(ch) || ch == '_')
Index: uspace/srv/fs/locfs/locfs_ops.c
===================================================================
--- uspace/srv/fs/locfs/locfs_ops.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/locfs/locfs_ops.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 
 #include <macros.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <malloc.h>
Index: uspace/srv/fs/locfs/locfs_ops.h
===================================================================
--- uspace/srv/fs/locfs/locfs_ops.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/locfs/locfs_ops.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
 #define LOCFS_LOCFS_OPS_H_
 
-#include <bool.h>
+#include <stdbool.h>
 
 extern bool locfs_init(void);
Index: uspace/srv/fs/tmpfs/tmpfs.h
===================================================================
--- uspace/srv/fs/tmpfs/tmpfs.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/tmpfs/tmpfs.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #include <atomic.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <adt/hash_table.h>
 
Index: uspace/srv/fs/udf/udf.h
===================================================================
--- uspace/srv/fs/udf/udf.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/udf/udf.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #include <atomic.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include "../../vfs/vfs.h"
 #include "udf_types.h"
Index: uspace/srv/fs/udf/udf_cksum.h
===================================================================
--- uspace/srv/fs/udf/udf_cksum.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/udf/udf_cksum.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 #define UDF_TAG_SIZE  16
Index: uspace/srv/fs/udf/udf_idx.c
===================================================================
--- uspace/srv/fs/udf/udf_idx.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/udf/udf_idx.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -44,5 +44,5 @@
 #include <adt/hash.h>
 #include <adt/list.h>
-#include <bool.h>
+#include <stdbool.h>
 #include "udf_idx.h"
 #include "udf.h"
Index: uspace/srv/fs/udf/udf_osta.h
===================================================================
--- uspace/srv/fs/udf/udf_osta.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/udf/udf_osta.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -41,5 +41,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include "udf_types.h"
 
Index: uspace/srv/fs/udf/udf_types.h
===================================================================
--- uspace/srv/fs/udf/udf_types.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/fs/udf/udf_types.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <byteorder.h>
 
Index: uspace/srv/hid/compositor/compositor.c
===================================================================
--- uspace/srv/hid/compositor/compositor.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hid/compositor/compositor.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <str_error.h>
Index: uspace/srv/hid/input/ctl/kbdev.c
===================================================================
--- uspace/srv/hid/input/ctl/kbdev.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hid/input/ctl/kbdev.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <fcntl.h>
Index: uspace/srv/hid/input/input.c
===================================================================
--- uspace/srv/hid/input/input.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hid/input/input.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 
 #include <adt/list.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <ipc/services.h>
Index: uspace/srv/hid/input/input.h
===================================================================
--- uspace/srv/hid/input/input.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hid/input/input.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 #define INPUT_H_
 
-#include <bool.h>
+#include <stdbool.h>
 #include <async.h>
 
Index: uspace/srv/hid/input/layout/cz.c
===================================================================
--- uspace/srv/hid/input/layout/cz.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hid/input/layout/cz.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
 #include <io/console.h>
 #include <io/keycode.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <stdlib.h>
 #include "../input.h"
Index: uspace/srv/hid/input/port/niagara.c
===================================================================
--- uspace/srv/hid/input/port/niagara.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hid/input/port/niagara.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -42,5 +42,5 @@
 #include <stdio.h>
 #include <thread.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include "../kbd_port.h"
Index: uspace/srv/hid/input/port/ski.c
===================================================================
--- uspace/srv/hid/input/port/ski.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hid/input/port/ski.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <sys/types.h>
 #include <thread.h>
-#include <bool.h>
+#include <stdbool.h>
 #include "../kbd_port.h"
 #include "../kbd.h"
Index: uspace/srv/hid/input/proto/adb.c
===================================================================
--- uspace/srv/hid/input/proto/adb.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hid/input/proto/adb.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include "../mouse.h"
 #include "../mouse_port.h"
Index: uspace/srv/hid/output/output.h
===================================================================
--- uspace/srv/hid/output/output.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hid/output/output.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -31,5 +31,5 @@
 
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <loc.h>
 #include <io/console.h>
Index: uspace/srv/hw/bus/cuda_adb/cuda_adb.c
===================================================================
--- uspace/srv/hw/bus/cuda_adb/cuda_adb.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hw/bus/cuda_adb/cuda_adb.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <stdlib.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <ddi.h>
 #include <libarch/ddi.h>
Index: uspace/srv/hw/irc/apic/apic.c
===================================================================
--- uspace/srv/hw/irc/apic/apic.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hw/irc/apic/apic.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -42,5 +42,5 @@
 #include <as.h>
 #include <ddi.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <async.h>
Index: uspace/srv/hw/irc/i8259/i8259.c
===================================================================
--- uspace/srv/hw/irc/i8259/i8259.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hw/irc/i8259/i8259.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -43,5 +43,5 @@
 #include <ddi.h>
 #include <align.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <async.h>
Index: uspace/srv/hw/irc/obio/obio.c
===================================================================
--- uspace/srv/hw/irc/obio/obio.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/hw/irc/obio/obio.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -49,5 +49,5 @@
 #include <ddi.h>
 #include <align.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <async.h>
Index: uspace/srv/loader/main.c
===================================================================
--- uspace/srv/loader/main.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/loader/main.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -47,5 +47,5 @@
 #include <stdlib.h>
 #include <unistd.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fcntl.h>
 #include <sys/types.h>
Index: uspace/srv/locsrv/locsrv.c
===================================================================
--- uspace/srv/locsrv/locsrv.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/locsrv/locsrv.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -42,5 +42,5 @@
 #include <stdio.h>
 #include <errno.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <macros.h>
Index: uspace/srv/logger/logger.h
===================================================================
--- uspace/srv/logger/logger.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/logger/logger.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <io/log.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <stdio.h>
Index: uspace/srv/net/ethip/ethip_nic.c
===================================================================
--- uspace/srv/net/ethip/ethip_nic.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/net/ethip/ethip_nic.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -37,5 +37,5 @@
 #include <adt/list.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <fibril_synch.h>
Index: uspace/srv/net/inetsrv/inet_link.c
===================================================================
--- uspace/srv/net/inetsrv/inet_link.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/net/inetsrv/inet_link.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -35,5 +35,5 @@
  */
 
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <fibril_synch.h>
Index: uspace/srv/net/inetsrv/inetsrv.h
===================================================================
--- uspace/srv/net/inetsrv/inetsrv.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/net/inetsrv/inetsrv.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -39,5 +39,5 @@
 
 #include <adt/list.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <inet/iplink.h>
 #include <ipc/loc.h>
Index: uspace/srv/net/tcp/conn.c
===================================================================
--- uspace/srv/net/tcp/conn.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/net/tcp/conn.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <adt/list.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <io/log.h>
Index: uspace/srv/net/tcp/conn.h
===================================================================
--- uspace/srv/net/tcp/conn.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/net/tcp/conn.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #define CONN_H
 
-#include <bool.h>
+#include <stdbool.h>
 #include "tcp_type.h"
 
Index: uspace/srv/net/tcp/seq_no.c
===================================================================
--- uspace/srv/net/tcp/seq_no.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/net/tcp/seq_no.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <sys/types.h>
 #include "seq_no.h"
Index: uspace/srv/net/tcp/tcp_type.h
===================================================================
--- uspace/srv/net/tcp/tcp_type.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/net/tcp/tcp_type.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -38,5 +38,5 @@
 #include <adt/list.h>
 #include <async.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril.h>
 #include <fibril_synch.h>
Index: uspace/srv/net/udp/assoc.c
===================================================================
--- uspace/srv/net/udp/assoc.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/net/udp/assoc.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 
 #include <adt/list.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <io/log.h>
Index: uspace/srv/ns/clonable.c
===================================================================
--- uspace/srv/ns/clonable.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/ns/clonable.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
 #include <ipc/services.h>
 #include <adt/list.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <assert.h>
Index: uspace/srv/ns/clonable.h
===================================================================
--- uspace/srv/ns/clonable.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/ns/clonable.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -36,5 +36,5 @@
 #include <ipc/common.h>
 #include <sys/types.h>
-#include <bool.h>
+#include <stdbool.h>
 
 extern int clonable_init(void);
Index: uspace/srv/ns/task.c
===================================================================
--- uspace/srv/ns/task.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/ns/task.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -34,5 +34,5 @@
 #include <ipc/ipc.h>
 #include <adt/hash_table.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <errno.h>
 #include <assert.h>
Index: uspace/srv/vfs/vfs.c
===================================================================
--- uspace/srv/vfs/vfs.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/vfs/vfs.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -44,5 +44,5 @@
 #include <errno.h>
 #include <stdio.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <str.h>
 #include <as.h>
Index: uspace/srv/vfs/vfs.h
===================================================================
--- uspace/srv/vfs/vfs.h	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/vfs/vfs.h	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <sys/types.h>
 #include <loc.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <ipc/vfs.h>
 #include <task.h>
Index: uspace/srv/vfs/vfs_file.c
===================================================================
--- uspace/srv/vfs/vfs_file.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/vfs/vfs_file.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -40,5 +40,5 @@
 #include <str.h>
 #include <assert.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril.h>
 #include <fibril_synch.h>
Index: uspace/srv/vfs/vfs_lookup.c
===================================================================
--- uspace/srv/vfs/vfs_lookup.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/vfs/vfs_lookup.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -42,5 +42,5 @@
 #include <str.h>
 #include <stdarg.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <adt/list.h>
Index: uspace/srv/vfs/vfs_ops.c
===================================================================
--- uspace/srv/vfs/vfs_ops.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/vfs/vfs_ops.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -44,5 +44,5 @@
 #include <stdlib.h>
 #include <str.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <fibril_synch.h>
 #include <adt/list.h>
Index: uspace/srv/vfs/vfs_register.c
===================================================================
--- uspace/srv/vfs/vfs_register.c	(revision e80d8f80769540a1b89ed77cf77e774ce257c705)
+++ uspace/srv/vfs/vfs_register.c	(revision 3e6a98c595287c43d200d28d97f57755342be117)
@@ -45,5 +45,5 @@
 #include <str.h>
 #include <ctype.h>
-#include <bool.h>
+#include <stdbool.h>
 #include <adt/list.h>
 #include <as.h>
